Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynAnyFactory_var Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynAnyFactory_var:

[legend]
Collaboration diagram for DynamicAny::DynAnyFactory_var:

[legend]
List of all members.

## Public Methods
| DynAnyFactory_var (void)
| DynAnyFactory_var (DynAnyFactory_ptr p)
| DynAnyFactory_var (const DynAnyFactory_var &)
| ~DynAnyFactory_var (void)
DynAnyFactory_var & | operator= (DynAnyFactory_ptr)
DynAnyFactory_var & | operator= (const DynAnyFactory_var &)
DynAnyFactory_ptr | operator-> (void) const
| operator const DynAnyFactory_ptr & () const
| operator DynAnyFactory_ptr & ()
DynAnyFactory_ptr | in (void) const
DynAnyFactory_ptr & | inout (void)
DynAnyFactory_ptr & | out (void)
DynAnyFactory_ptr | _retn (void)
DynAnyFactory_ptr | ptr (void) const
## Static Public Methods
DynAnyFactory_ptr | tao_duplicate (DynAnyFactory_ptr)
void | tao_release (DynAnyFactory_ptr)
DynAnyFactory_ptr | tao_nil (void)
DynAnyFactory_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| DynAnyFactory_var (const TAO_Base_var &rhs)
DynAnyFactory_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
DynAnyFactory_ptr | ptr_

## Constructor & Destructor Documentation

DynamicAny::DynAnyFactory_var::DynAnyFactory_var | ( | void |  | ) |

DynamicAny::DynAnyFactory_var::DynAnyFactory_var | ( | DynAnyFactory_ptr | p | ) | `[inline]`

DynamicAny::DynAnyFactory_var::DynAnyFactory_var | ( | const DynAnyFactory_var & |  | ) |

DynamicAny::DynAnyFactory_var::~DynAnyFactory_var | ( | void |  | ) |

DynamicAny::DynAnyFactory_var::DynAnyFactory_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

DynAnyFactory_ptr DynamicAny::DynAnyFactory_var::_retn | ( | void |  | ) |

DynAnyFactory_ptr DynamicAny::DynAnyFactory_var::in | ( | void |  | ) | const

DynAnyFactory_ptr& DynamicAny::DynAnyFactory_var::inout | ( | void |  | ) |

DynamicAny::DynAnyFactory_var::operator const DynAnyFactory_ptr & | ( |  | ) | const

DynamicAny::DynAnyFactory_var::operator DynAnyFactory_ptr & | ( |  | ) |

DynAnyFactory_ptr DynamicAny::DynAnyFactory_var::operator-> | ( | void |  | ) | const

DynAnyFactory_var& DynamicAny::DynAnyFactory_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

DynAnyFactory_var& DynamicAny::DynAnyFactory_var::operator= | ( | const DynAnyFactory_var & |  | ) |

DynamicAny::DynAnyFactory_var & DynamicAny::DynAnyFactory_var::operator= | ( | DynAnyFactory_ptr | p | ) |

DynAnyFactory_ptr& DynamicAny::DynAnyFactory_var::out | ( | void |  | ) |

DynamicAny::DynAnyFactory_ptr DynamicAny::DynAnyFactory_var::ptr | ( | void |  | ) | const

DynAnyFactory_ptr DynamicAny::DynAnyFactory_var::tao_duplicate | ( | DynAnyFactory_ptr |  | ) | `[static]`

DynAnyFactory_ptr DynamicAny::DynAnyFactory_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

DynAnyFactory_ptr DynamicAny::DynAnyFactory_var::tao_nil | ( | void |  | ) | `[static]`

void DynamicAny::DynAnyFactory_var::tao_release | ( | DynAnyFactory_ptr |  | ) | `[static]`

CORBA::Object* DynamicAny::DynAnyFactory_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

DynAnyFactory_ptr DynamicAny::DynAnyFactory_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp